using System;
using System.ComponentModel.DataAnnotations;

namespace AutomatizovanySklad.Core.Entity {
  public class Zamestnanec : ITrackableEntity {

    public int Id { get; set; }

    [StringLength(100)]
    public string Jmeno { get; set; }

    [StringLength(100)]
    public string Prijmeni { get; set; }

    [StringLength(255)]
    public string Poznamka { get; set; }

    [StringLength(100)]
    public string Email { get; set; }

    public TypZamestnance TypZamestnance { get; set; }

    public DateTime DatumVytvoreni { get; set; }

    public int VytvorilId { get; set; }

    public DateTime? DatumUpravy { get; set; }

    public int UpravilId { get; set; }

    public bool JeAktivni { get; set; }
  }
}